Get comments on a creator's post

Returns a paginated list of comments on a specific post on behalf of a creator. The creator must own the post. <Info>Scopes required: `read:post`, `read:creator`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

creatorUserUuidstringRequiredformat: "uuid"
uuidstringRequiredformat: "uuid"
UUID of the post to retrieve comments for

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

pagedoubleOptional>=1Defaults to 1

Page number to retrieve (starts from 1)

sizedoubleOptional1-50Defaults to 15

Number of items to return per page (1-50, default: 15)

Response

List of comments on this post
datalist of objects
Array of comments on this post
paginationobject
Pagination information

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error
429
Too Many Requests Error